Debian Bug report logs - #502192
menu-xdg: invents own icon names instead of using existing

version graph

Package: menu-xdg; Maintainer for menu-xdg is Bill Allombert <ballombe@debian.org>; Source for menu-xdg is src:menu-xdg.

Reported by: Sune Vuorela <reportbug@pusling.com>

Date: Tue, 14 Oct 2008 11:09:01 UTC

Severity: normal

Found in version menu-xdg/0.3

Done: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#502192; Package menu-xdg. (Tue, 14 Oct 2008 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <reportbug@pusling.com>:
New Bug report received and forwarded. Copy sent to Bill Allombert <ballombe@debian.org>. (Tue, 14 Oct 2008 11:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sune Vuorela <reportbug@pusling.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: menu-xdg: invents own icon names instead of using existing
Date: Tue, 14 Oct 2008 13:06:39 +0200
Package: menu-xdg
Version: 0.3
Severity: normal


Apparantly, menu-xdg invents own icon names instead of using something
existing. 
This makes at least KDE4 to just use "folder icon" for the
folders/submenus.

for example, the debian-games.directory should reference
Icon=applications-games and not Icon=debian-games

Standardizing on the xdg icon spec is probably good.

Table 5. Standard Category Icons, 
http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html
as this is what's expected to be available in the icon themes in debian.
and maybe from time to time look at other icons if there is something
not covering completely. But the current debian-* is nowhere to be
found.

/Sune


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

menu-xdg depends on no packages.

Versions of packages menu-xdg recommends:
ii  menu                          2.1.40     generates programs menu for all me

menu-xdg suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#502192; Package menu-xdg. (Fri, 17 Oct 2008 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 17 Oct 2008 13:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 502192@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Sune Vuorela <reportbug@pusling.com>, 502192@bugs.debian.org
Subject: Re: Bug#502192: menu-xdg: invents own icon names instead of using existing
Date: Fri, 17 Oct 2008 15:03:59 +0200
On Tue, Oct 14, 2008 at 01:06:39PM +0200, Sune Vuorela wrote:
> Package: menu-xdg
> Version: 0.3
> Severity: normal
> 

Hello Sune,

> Apparantly, menu-xdg invents own icon names instead of using something
> existing. 
> This makes at least KDE4 to just use "folder icon" for the
> folders/submenus.

This is done on purpose. This allow desktop envirnonment to use separate
icons for debian menu entries and other entries. Changing the names
would break GNOME and KDE3.

Furthermore there is no one-to-one mapping between debian sections and
other sections, so the proposal is not feasible.

> for example, the debian-games.directory should reference
> Icon=applications-games and not Icon=debian-games
> 
> Standardizing on the xdg icon spec is probably good.
> 
> Table 5. Standard Category Icons, 
> http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html
> as this is what's expected to be available in the icon themes in debian.
> and maybe from time to time look at other icons if there is something
> not covering completely. But the current debian-* is nowhere to be
> found.

We use debian-* specifically to avoid a name clash with this
specification.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#502192; Package menu-xdg. (Fri, 17 Oct 2008 13:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <debian@pusling.com>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 17 Oct 2008 13:18:02 GMT) Full text and rfc822 format available.

Message #15 received at 502192@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 502192@bugs.debian.org
Subject: Re: Bug#502192: menu-xdg: invents own icon names instead of using existing
Date: Fri, 17 Oct 2008 15:13:46 +0200
On Friday 17 October 2008 15:03:59 Bill Allombert wrote:

> This is done on purpose. This allow desktop envirnonment to use separate
> icons for debian menu entries and other entries. Changing the names
> would break GNOME and KDE3.
>
> Furthermore there is no one-to-one mapping between debian sections and
> other sections, so the proposal is not feasible.
>
> > for example, the debian-games.directory should reference
> > Icon=applications-games and not Icon=debian-games
> >
> > Standardizing on the xdg icon spec is probably good.
> >
> > Table 5. Standard Category Icons,
> > http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest
> >.html as this is what's expected to be available in the icon themes in
> > debian. and maybe from time to time look at other icons if there is
> > something not covering completely. But the current debian-* is nowhere to
> > be found.
>
> We use debian-* specifically to avoid a name clash with this
> specification.

But the main point is still: no one is actually *providing* the debian-* 
icons. and especially not amongst the "fall back" themes in the desktop 
environments.

In my K menu, I either get questionmark icons or "blue folders" as the icon 
for these.

Is your expectation that the artists magically should create these icons in 
their themes, or that the debian icon theme maintaitners should copy/symlink 
these icon names to something or that the debian icon theme maintainers should 
create the icons?  

I can't believe that it is expected to be shown with the default "no icon" 
icon.

/Sune
-- 
Do you know how can I overclock a prompt from Office?

The point is that you either should never digit on a terminale, or can never 
turn on the ethernet window on the 2-bit system to load the application.





Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#502192; Package menu-xdg. (Fri, 17 Oct 2008 13:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 17 Oct 2008 13:33:07 GMT) Full text and rfc822 format available.

Message #20 received at 502192@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Sune Vuorela <debian@pusling.com>, 502192@bugs.debian.org
Subject: Re: Bug#502192: menu-xdg: invents own icon names instead of using existing
Date: Fri, 17 Oct 2008 15:29:31 +0200
On Fri, Oct 17, 2008 at 03:13:46PM +0200, Sune Vuorela wrote:
> On Friday 17 October 2008 15:03:59 Bill Allombert wrote:
> 
> > This is done on purpose. This allow desktop envirnonment to use separate
> > icons for debian menu entries and other entries. Changing the names
> > would break GNOME and KDE3.
> >
> > Furthermore there is no one-to-one mapping between debian sections and
> > other sections, so the proposal is not feasible.
> >
> > > for example, the debian-games.directory should reference
> > > Icon=applications-games and not Icon=debian-games
> > >
> > > Standardizing on the xdg icon spec is probably good.
> > >
> > > Table 5. Standard Category Icons,
> > > http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest
> > >.html as this is what's expected to be available in the icon themes in
> > > debian. and maybe from time to time look at other icons if there is
> > > something not covering completely. But the current debian-* is nowhere to
> > > be found.
> >
> > We use debian-* specifically to avoid a name clash with this
> > specification.
> 
> But the main point is still: no one is actually *providing* the debian-* 
> icons. and especially not amongst the "fall back" themes in the desktop 
> environments.
> 
> In my K menu, I either get questionmark icons or "blue folders" as the icon 
> for these.

Then KDE4 needs to be fixed. GNOME in etch provides icons for sections
fine.

> Is your expectation that the artists magically should create these icons in 
> their themes, or that the debian icon theme maintaitners should copy/symlink 
> these icon names to something or that the debian icon theme maintainers should 
> create the icons?  
> 
> I can't believe that it is expected to be shown with the default "no icon" 
> icon.

The point I try to get across is that this issue should not be fixed in
menu-xdg but on the Desktop environment or themes.
If KDE4 or a Debian theme want to alias  Icon=debian-games to
Icon=applications-games, I am fine with that, but this is independent of
menu-xdg.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#502192; Package menu-xdg. (Mon, 20 Oct 2008 08:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <debian@pusling.com>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Mon, 20 Oct 2008 08:21:02 GMT) Full text and rfc822 format available.

Message #25 received at 502192@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 502192@bugs.debian.org
Subject: Re: Bug#502192: menu-xdg: invents own icon names instead of using existing
Date: Mon, 20 Oct 2008 10:17:27 +0200
[Message part 1 (text/plain, inline)]
On Friday 17 October 2008 15:29:31 Bill Allombert wrote:
> > In my K menu, I either get questionmark icons or "blue folders" as the
> > icon for these.
>
> Then KDE4 needs to be fixed. GNOME in etch provides icons for sections
> fine.

I just asked some gnome people. Gnome in Lenny does *not* provide icons for 
sections in the debian menu. It just uses the folder icon.

There is basically 5 ways:

1) Consider Debian menu irrellevant and drop it
2) Keep Debian menu in its current ugly icon style
3) Patch all icon themes / implement a symlink farm  to map the weird debian 
naming to something matching the FDO spec
4) Patch the icon loading code and do the mapping there.
5) Make the debian menu use existing icons based on the fdo spec.

As the package is called "menu-xdg", I think that making the debian menu use 
fdo/xdg specs is the rigth way.
Else, my preferred alternative is 1, but maybe 3 can be considered.
4 is definately not going to happen.


/Sune
-- 
How may I install on the floppy disk of a device to the head from Word 2000?

First from the options menu inside Windows you should configure a SIMM for 
cancelling the pin.

[signature.asc (application/pgp-signature, inline)]

Reply sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
You have taken responsibility. (Wed, 25 Feb 2009 13:45:06 GMT) Full text and rfc822 format available.

Notification sent to Sune Vuorela <reportbug@pusling.com>:
Bug acknowledged by developer. (Wed, 25 Feb 2009 13:45:06 GMT) Full text and rfc822 format available.

Message #30 received at 502192-done@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Sune Vuorela <debian@pusling.com>, 502192-done@bugs.debian.org
Subject: Re: Bug#502192: menu-xdg: invents own icon names instead of using existing
Date: Wed, 25 Feb 2009 14:44:30 +0100
On Mon, Oct 20, 2008 at 10:17:27AM +0200, Sune Vuorela wrote:
> On Friday 17 October 2008 15:29:31 Bill Allombert wrote:
> > > In my K menu, I either get questionmark icons or "blue folders" as the
> > > icon for these.
> >
> > Then KDE4 needs to be fixed. GNOME in etch provides icons for sections
> > fine.
> 
> I just asked some gnome people. Gnome in Lenny does *not* provide icons for 
> sections in the debian menu. It just uses the folder icon.
> 
> There is basically 5 ways:
> 
> 1) Consider Debian menu irrellevant and drop it
> 2) Keep Debian menu in its current ugly icon style
> 3) Patch all icon themes / implement a symlink farm  to map the weird debian 
> naming to something matching the FDO spec
> 4) Patch the icon loading code and do the mapping there.
> 5) Make the debian menu use existing icons based on the fdo spec.
> 
> As the package is called "menu-xdg", I think that making the debian menu use 
> fdo/xdg specs is the rigth way.
> Else, my preferred alternative is 1, but maybe 3 can be considered.
> 4 is definately not going to happen.

This bug has reached the level of veiled threats, so I am not interested
in discussing this anymore.  I am closing this bug. 

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Mar 2009 07:44:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:34:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.